{****************************************************}
{}
{		StarterIntf.p																		}
{}
{		Interface file for the Starter application.										}
{}
{		Copyright  1989, Symantec Corporation.  All rights reserved.			}
{}
{****************************************************}


unit StarterIntf;

interface

uses
	TCL;

const
	dummyCmd = 2000;		{ Used in example DoCommand methods 	}
	WINDStarter = 500;		{ Resource ID for WIND template 			}


{****}
{ * CStarterApp}
{ *}
{ *	Application class for a typical application.}
{ *}
{ ****}

type
	CStarterApp = object(CApplication)

	{ Declare your application's instance variables here 	}
	{ (there are none in this example)						}

	{ CStarterApp's methods follow:						}

			procedure IStarterApp;

			procedure MakeDesktop;				{For example dialog}
			override;

			procedure SetUpFileParameters;
			override;

			procedure SetUpMenus;
			override;

			procedure DoCommand (theCommand: longint);
			override;

			procedure UpdateMenus;
			override;

			procedure CreateDocument;
			override;

			procedure OpenDocument (macSFReply: SFReply);
			override;

			procedure Exit;
			override;
		end;


{***}
{ * CStarterDoc}
{ *}
{ *	Document class for a typical application.}
{ *}
{ ***}

type
	CStarterDoc = object(CDocument)

	{ Declare your document's instance variables here 	}
	{ (there are none in this example)						}

	{ CStarterDoc's methods follow:						}

									{* Construction/Destruction *}

			procedure IStarterDoc (aSupervisor: CApplication;
										printable: Boolean);
			procedure Free;
			override;

			procedure DoCommand (theCommand: longint);
			override;

			procedure UpdateMenus;
			override;

			procedure NewFile;
			override;
			procedure OpenFile (macSFReply: SFReply);
			override;
			procedure BuildWindow (theData: Handle);

									{* Filing *}

			function DoSave: Boolean;
			override;
			function DoSaveAs (macSFReply: SFReply): Boolean;
			override;
			procedure DoRevert;
			override;
		end;



{***}
{ * CStarterPane}
{ *}
{ *	Pane class for a typical application.}
{ *}
{ ***}

type
	CStarterPane = object(CPanorama)

	{ Declare your pane's instance variables here 			}
	{ (there are none in this example)						}

	{ CStarterPane's methods follow:						}

									{* Construction/Destruction *}

			procedure IStarterPane (anEnclosure: CView;
										aSupervisor: CBureaucrat;
										aWidth, aHeight, aHEncl, aVEncl: integer;
										aHSizing, aVSizing: SizingOption);

									{* Drawing *}

			procedure Draw (var area: Rect);
			override;

									{* Mouse *}

			procedure DoClick (hitPt: Point;
										modifierKeys: integer;
										when: longint);
			override;
			function HitSamePart (var pointA, pointB: Point): Boolean;
			override;

									{* Cursor *}

			procedure AdjustCursor (where: Point;
										mouseRgn: RgnHandle);
			override;

									{* Scrolling *}

			procedure ScrollToSelection;
			override;
		end;


implementation

end.